package com.malk.kaiyue.service;

import com.malk.server.common.McR;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


public interface KYService {

    /**
     * 获取员工花名册信息
     * @param map
     * @return
     */
    List<Map> getEmployeeRosterInfo(Map<String, Object> map);

    /**
     * 获取在职员工userId列表
     * @return
     */
    Map getEmployeeUserId();

    /**
     * 计算并设置获取员工年假数
     * @param map
     * @return
     */
    McR getEmployeeAnnualLeaveNum(Map<String, Object> map);
}
